"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DefaultLoggerService = void 0;
class DefaultLoggerService {
    constructor(defaultLogger) {
        this.defaultLogger = defaultLogger;
    }
    get instance() {
        if (typeof this.defaultLogger === 'function') {
            return this.defaultLogger();
        }
        return this.defaultLogger;
    }
    logMessage(level, message, ...optionalParams) {
        if (optionalParams[0] && typeof optionalParams[0] === 'object') {
            return this.instance[level](optionalParams[0], message);
        }
        return this.instance[level](message, ...optionalParams);
    }
    child(options) {
        return new DefaultLoggerService(this.instance.child(options));
    }
    error(message, ...optionalParams) {
        this.logMessage('error', message, ...optionalParams);
    }
    log(message, ...optionalParams) {
        this.logMessage('info', message, ...optionalParams);
    }
    info(message, ...optionalParams) {
        this.logMessage('info', message, ...optionalParams);
    }
    debug(message, ...optionalParams) {
        this.logMessage('debug', message, ...optionalParams);
    }
    trace(message, ...optionalParams) {
        this.logMessage('trace', message, ...optionalParams);
    }
    warn(message, ...optionalParams) {
        this.logMessage('warn', message, ...optionalParams);
    }
}
exports.DefaultLoggerService = DefaultLoggerService;
//# sourceMappingURL=default-logger-service.js.map