"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RequestLogger = void 0;
const common_1 = require("@nestjs/common");
const async_context_1 = require("@nestjs-steroids/async-context");
const root_logger_1 = require("./root-logger");
const default_logger_service_1 = require("./default-logger-service");
let RequestLogger = class RequestLogger extends default_logger_service_1.DefaultLoggerService {
    constructor(ac, rootLogger) {
        super(() => {
            let traceId = '';
            try {
                traceId = this.ac.get('traceId');
            }
            catch (err) {
                this.rootLogger.warn('Async context not available');
            }
            return this.rootLogger.instance.child({
                traceId,
            });
        });
        this.ac = ac;
        this.rootLogger = rootLogger;
    }
};
RequestLogger = __decorate([
    (0, common_1.Injectable)(),
    __metadata("design:paramtypes", [async_context_1.AsyncContext,
        root_logger_1.RootLogger])
], RequestLogger);
exports.RequestLogger = RequestLogger;
//# sourceMappingURL=request-logger.js.map